summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author B. Watson2014-01-21 06:33:18 +0100
committer Erik Hanson2014-01-30 06:21:09 +0100
commit7fa78d7043eb4d0882eec01b3810fce762905779 (patch)
tree3113f83b869d1d4c64ffb02acf2308e5485c6679 /system
parent3bc630632a20eb70846429bf6f38a3235c88c16b (diff)
downloadslackbuilds-7fa78d7043eb4d0882eec01b3810fce762905779.tar.gz
system/cbmbasic: Added (Commodore BASIC V2 as a scripting language).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/cbmbasic/README8
-rw-r--r--system/cbmbasic/cbmbasic.SlackBuild68
-rw-r--r--system/cbmbasic/cbmbasic.info10
-rw-r--r--system/cbmbasic/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/system/cbmbasic/README b/system/cbmbasic/README
new file mode 100644
index 0000000000..3e02c53d39
--- /dev/null
+++ b/system/cbmbasic/README
@@ -0,0 +1,8 @@
+cmbbasic (Commodore BASIC V2 as a scripting language)
+
+Commodore BASIC (cbmbasic) is a 100% compatible version of Commodore's
+version of Microsoft 6502 BASIC as found on the Commodore 64. You can use
+it in interactive mode or pass a BASIC file as a command line parameter.
+
+This does not emulate 6502 code; all code is completely native. On a
+1GHz CPU you get about 1000x speed compared to a 1MHz 6502.
diff --git a/system/cbmbasic/cbmbasic.SlackBuild b/system/cbmbasic/cbmbasic.SlackBuild
new file mode 100644
index 0000000000..88248a293f
--- /dev/null
+++ b/system/cbmbasic/cbmbasic.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for cbmbasic
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=cbmbasic
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make CFLAGS="$SLKCFLAGS" LDFLAGS="-L/usr/lib$LIBDIRSUFFIX"
+mkdir -p $PKG/usr/bin
+install -s -m0755 $PRGNAM $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.txt test/*.bas $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/cbmbasic/cbmbasic.info b/system/cbmbasic/cbmbasic.info
new file mode 100644
index 0000000000..ae226159f9
--- /dev/null
+++ b/system/cbmbasic/cbmbasic.info
@@ -0,0 +1,10 @@
+PRGNAM="cbmbasic"
+VERSION="1.0"
+HOMEPAGE="http://cbmbasic.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/cbmbasic/cbmbasic/1.0/cbmbasic-1.0.tgz"
+MD5SUM="966cf93950809c3eace244af702cf895"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/cbmbasic/slack-desc b/system/cbmbasic/slack-desc
new file mode 100644
index 0000000000..886ff10454
--- /dev/null
+++ b/system/cbmbasic/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cbmbasic: cmbbasic (Commodore BASIC V2 as a scripting language)
+cbmbasic:
+cbmbasic: Commodore BASIC (cbmbasic) is a 100% compatible version of
+cbmbasic: Commodore's version of Microsoft 6502 BASIC as found on the
+cbmbasic: Commodore 64. You can use it in interactive mode or pass a BASIC
+cbmbasic: file as a command line parameter.
+cbmbasic:
+cbmbasic: This does not emulate 6502 code; all code is completely native. On
+cbmbasic: a 1GHz CPU you get about 1000x speed compared to a 1MHz 6502.
+cbmbasic:
+cbmbasic: \ No newline at end of file